package com.fjhx.iot.service.tda;

import com.fjhx.iot.entity.tda.po.TdaConfig;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.iot.entity.tda.vo.TdaConfigVo;
import com.fjhx.iot.entity.tda.dto.TdaConfigSelectDto;
import com.fjhx.iot.entity.tda.dto.TdaConfigDto;


/**
 * <p>
 * iot配置 服务类
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
public interface TdaConfigService extends BaseService<TdaConfig> {

    /**
     * iot配置分页
     */
    Page<TdaConfigVo> getPage(TdaConfigSelectDto dto);

    /**
     * iot配置明细
     */
    TdaConfigVo detail(Long id);

    /**
     * iot配置新增
     */
    void add(TdaConfigDto tdaConfigDto);

    /**
     * iot配置编辑
     */
    void edit(TdaConfigDto tdaConfigDto);

    /**
     * iot配置删除
     */
    void delete(Long id);

}
